import { AfterViewInit, ChangeDetectorRef, ComponentFactoryResolver, ComponentRef, ElementRef, Type } from '@angular/core';
import { AnimationEvent } from '@angular/animations';
import { Subject } from 'rxjs';
import { BbDialogInsertion } from '../dialog.insertion';
export declare class BbDialogContainer implements AfterViewInit {
    private _elementRef;
    private _changeDetection;
    private _componentFactoryResolver;
    insertion: BbDialogInsertion;
    componentRef: ComponentRef<any> | null;
    childComponentType: Type<any> | null;
    overlayClicked$: Subject<void>;
    private _subscription;
    get onOverlayClicked(): import("rxjs").Observable<void>;
    constructor(_elementRef: ElementRef, _changeDetection: ChangeDetectorRef, _componentFactoryResolver: ComponentFactoryResolver);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onAnimationDone(event: AnimationEvent): void;
    private listenForClicks;
    private loadChildComponent;
}
